/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/xlslib/number.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:49 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef NUMBER_H
#define NUMBER_H


#include <config.h>
#include "common.h"
#include "cell.h"
#include "record.h"
#include "unit.h"


namespace xlslib_core
{

  class number_t;
  class CNumber: public CRecord
    {
    private:


    public:
      CNumber(unsigned16_t row,
              unsigned16_t col,
              double num,
              xf_t* pxfval = NULL);

      CNumber(number_t& blankdef);
      ~CNumber();


    };


  class number_t: public cell_t
    {

    private:
      double number;
    public:
      number_t(unsigned16_t rowval, 
               unsigned16_t colval, 
               double numval,
               xf_t* pxfval = NULL);
   
      ~number_t(){};

      unsigned16_t GetSize(){return 18;};
      double GetNumber() {return number;};
      CUnit* GetData();

    };


}

#endif //NUMBER_H


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: number.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:49  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

